DROP TABLE CRST_RA_CUST_TRX_LINE_SALESREP;

CREATE TABLE CRST_RA_CUST_TRX_LINE_SALESREP                                                                                                                  
(                                                                                                                                                            
  CUST_TRX_LINE_SALESREP_ID       NUMBER(15)    NOT NULL,                                                                                                    
  LAST_UPDATE_DATE                DATE          NOT NULL,                                                                                                    
  LAST_UPDATED_BY                 NUMBER(15)    NOT NULL,                                                                                                    
  CREATION_DATE                   DATE          NOT NULL,                                                                                                    
  CREATED_BY                      NUMBER(15)    NOT NULL,                                                                                                    
  LAST_UPDATE_LOGIN               NUMBER(15),                                                                                                                
  CUSTOMER_TRX_ID                 NUMBER(15)    NOT NULL,                                                                                                    
  SALESREP_ID                     NUMBER(15)    NOT NULL,                                                                                                    
  CUSTOMER_TRX_LINE_ID            NUMBER(15),                                                                                                                
  REVENUE_AMOUNT_SPLIT            NUMBER,                                                                                                                    
  NON_REVENUE_AMOUNT_SPLIT        NUMBER,                                                                                                                    
  ATTRIBUTE_CATEGORY              VARCHAR2(30 BYTE),                                                                                                         
  ATTRIBUTE1                      VARCHAR2(150 BYTE),                                                                                                        
  ATTRIBUTE2                      VARCHAR2(150 BYTE),                                                                                                        
  ATTRIBUTE3                      VARCHAR2(150 BYTE),                                                                                                        
  ATTRIBUTE4                      VARCHAR2(150 BYTE),                                                                                                        
  ATTRIBUTE5                      VARCHAR2(150 BYTE),                                                                                                        
  ATTRIBUTE6                      VARCHAR2(150 BYTE),                                                                                                        
  ATTRIBUTE7                      VARCHAR2(150 BYTE),                                                                                                        
  ATTRIBUTE8                      VARCHAR2(150 BYTE),                                                                                                        
  ATTRIBUTE9                      VARCHAR2(150 BYTE),                                                                                                        
  ATTRIBUTE10                     VARCHAR2(150 BYTE),                                                                                                        
  REQUEST_ID                      NUMBER(15),                                                                                                                
  PROGRAM_APPLICATION_ID          NUMBER(15),                                                                                                                
  PROGRAM_ID                      NUMBER(15),                                                                                                                
  PROGRAM_UPDATE_DATE             DATE,                                                                                                                      
  NON_REVENUE_PERCENT_SPLIT       NUMBER,                                                                                                                    
  REVENUE_PERCENT_SPLIT           NUMBER,                                                                                                                    
  ORIGINAL_LINE_SALESREP_ID       NUMBER(15),                                                                                                                
  PREV_CUST_TRX_LINE_SALESREP_ID  NUMBER(15),                                                                                                                
  ATTRIBUTE11                     VARCHAR2(150 BYTE),                                                                                                        
  ATTRIBUTE12                     VARCHAR2(150 BYTE),                                                                                                        
  ATTRIBUTE13                     VARCHAR2(150 BYTE),                                                                                                        
  ATTRIBUTE14                     VARCHAR2(150 BYTE),                                                                                                        
  ATTRIBUTE15                     VARCHAR2(150 BYTE),                                                                                                        
  ORG_ID                          NUMBER(15),
  WH_UPDATE_DATE                  DATE,                                                                                                                      
  REVENUE_ADJUSTMENT_ID           NUMBER(15),
  CUST_TRX_LINE_SALESREP_ID_N     NUMBER(15)
);
